# Uses of Interface
org.apache.wiki.attachment.DynamicAttachmentProvider

Packages that use DynamicAttachmentProvider
Package
Description
org.apache.wiki.attachment
Attachment management, uploading and downloading.

## Uses of DynamicAttachmentProvider in org.apache.wiki.attachment

Methods in org.apache.wiki.attachment that return DynamicAttachmentProvider
Modifier and Type
Method
Description
`DynamicAttachmentProvider`
DynamicAttachment.`getProvider()`
Returns the provider which is used to generate this attachment.
Constructors in org.apache.wiki.attachment with parameters of type DynamicAttachmentProvider
Modifier
Constructor
Description
``
`DynamicAttachment(Engine engine, String parentPage, String fileName, DynamicAttachmentProvider provider)`
Creates a DynamicAttachment.